com.r3corda.node.services.transactions / SimpleNotaryService

# SimpleNotaryService

`class SimpleNotaryService : NotaryService`

A simple Notary service that does not perform transaction validation

### Types

Type | `object Type : ServiceType`

### Constructors

<init> | `SimpleNotaryService(smm: StateMachineManager, net: MessagingService, timestampChecker: TimestampChecker, uniquenessProvider: UniquenessProvider)` A simple Notary service that does not perform transaction validation

### Properties

logger | `val logger: <ERROR CLASS>`
protocolFactory | `val protocolFactory: DefaultFactory` Implement a factory that specifies the transaction commit protocol for the notary service to use

### Inherited Properties

smm | `val smm: StateMachineManager`
timestampChecker | `val timestampChecker: TimestampChecker`
uniquenessProvider | `val uniquenessProvider: UniquenessProvider`